"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveRenderedTemplate = void 0;
const tslib_1 = require("tslib");
const node_path_1 = tslib_1.__importDefault(require("node:path"));
const handlebars_1 = tslib_1.__importDefault(require("handlebars"));
const node_fs_1 = tslib_1.__importDefault(require("node:fs"));
handlebars_1.default.registerHelper('toUpperCase', function (str) {
    return str.replace(/^\w/, (c) => c.toUpperCase());
});
handlebars_1.default.registerHelper('toLowerCase', function (str) {
    return str.replace(/^\w/, (c) => c.toLowerCase());
});
function saveRenderedTemplate(templateName, context, filePath, fileName, keepIfExists = false) {
    const combinedPath = node_path_1.default.join(filePath, fileName);
    if (keepIfExists && node_fs_1.default.existsSync(combinedPath)) {
        return;
    }
    const template = node_fs_1.default.readFileSync(node_path_1.default.join(__dirname, '../', templateName), 'utf8');
    const generateIndex = () => handlebars_1.default.compile(template)(context);
    node_fs_1.default.writeFileSync(node_path_1.default.join(filePath, fileName), generateIndex());
}
exports.saveRenderedTemplate = saveRenderedTemplate;
