"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const getUnions_1 = tslib_1.__importDefault(require("./getUnions"));
const gql = (a) => a[0];
test('get the unions', () => {
    const schemaString = gql `
    type Query {
      homes: [Home]
    }

    type Cottage {
      id: ID!
      address: String!
    }

    type Villa {
      id: ID!
      address: String!
      owner: String!
    }

    union Home = Cottage | Villa
  `;
    const res = (0, getUnions_1.default)(schemaString);
    expect(res).toEqual(['Home']);
});
test('should throw exception if duplicate union names are found', () => {
    const schemaString = gql `
    type Query {
      homes: [Home]
    }

    type Cottage {
      id: ID!
      address: String!
    }

    type Villa {
      id: ID!
      address: String!
      owner: String!
    }

    union Home = Cottage | Villa
    union Home = Cottage | Villa
  `;
    expect(() => (0, getUnions_1.default)(schemaString)).toThrow('Duplicate union name found: Home');
});
