"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const validateUniqueName_1 = tslib_1.__importDefault(require("./validateUniqueName"));
test('should throw error if duplicate entry found', () => {
    const names = ['apple', 'banana', 'orange', 'banana'];
    expect(() => (0, validateUniqueName_1.default)(names, (name) => {
        throw new Error(`duplicate record found: ${name}`);
    })).toThrow('duplicate record found: banana');
});
test('should not throw error if no duplicate entry found', () => {
    const names = ['apple', 'banana', 'orange'];
    expect(() => (0, validateUniqueName_1.default)(names, () => {
        throw new Error('duplicate record found');
    })).not.toThrow();
});
